### Virtual Method

# Foundry Debugger send_signal

#### Declaration [src]

    DexFuture*
    send_signal (
      FoundryDebugger* self,
      int signum
    )

#### Description [src]

Send signal `signum` to debuggee.

#### Parameters

`signum`

  Type: `int`

  No description available.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to any value or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.